{"swagger":"2.0","info":{"description":"如果還沒有帳號密碼，請聯繫你的代理\n| 環境 | API 網址 | 後台位置 |\n| -------- | -------- | -------- |\n| 測試     | https://niuniu.gogojimmy.net     | https://niuniu.gogojimmy.net/platform     |\n| 正式     |     |      |\n","version":"1.0.0","title":"17 真人 API"},"tags":[{"name":"代理","description":"代理身分登入取得 JWT Token 與子代理管理"},{"name":"玩家","description":"玩家相關"},{"name":"出入金"}],"paths":{"/authenticate":{"post":{"tags":["代理"],"summary":"登入代理身分，取得 JTW Authorization Token","description":null,"responses":{"200":{"description":"OK"}},"parameters":[{"in":"body","name":"username","description":"Pet object that needs to be added to the store","required":true,"schema":null}]}},"/pet":{"post":{"tags":["pet"],"summary":"Add a new pet to the store","operationId":"addPet","consumes":["application/json","application/xml"],"produces":["application/json","application/xml"],"parameters":[{"in":"body","name":"body","description":"Pet object that needs to be added to the store","required":true,"schema":{"$ref":"#/definitions/Pet"}}],"responses":{"405":{"description":"Invalid input"}},"security":[{"petstore_auth":["write:pets","read:pets"]}]},"put":{"tags":["pet"],"summary":"Update an existing pet","operationId":"updatePet","consumes":["application/json","application/xml"],"produces":["application/json","application/xml"],"parameters":[{"in":"body","name":"body","description":"Pet object that needs to be added to the store","required":true,"schema":{"$ref":"#/definitions/Pet"}}],"responses":{"400":{"description":"Invalid ID supplied"},"404":{"description":"Pet not found"},"405":{"description":"Validation exception"}},"security":[{"petstore_auth":["write:pets","read:pets"]}]}}},"securityDefinitions":{"petstore_auth":{"type":"oauth2","authorizationUrl":"http://petstore.swagger.io/oauth/dialog","flow":"implicit","scopes":{"write:pets":"modify pets in your account","read:pets":"read your pets"}},"api_key":{"type":"apiKey","name":"api_key","in":"header"}},"schemes":["https"],"host":"virtserver.swaggerhub.com","basePath":"/gogojimmy/17service/1.0.0"}